cvp.vo

## Class ScreeningStatus

- java.lang.Object
- - cvp.vo.ScreeningStatus

-     public class ScreeningStatus
      extends java.lang.Object

  Java class for ScreeningStatus complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ScreeningStatus">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="screeningTypeCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="eligibility" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="adhesion" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="result" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `adhesion`
    `protected java.lang.String` | `eligibility`
    `protected java.lang.String` | `result`
    `protected java.lang.String` | `screeningTypeCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScreeningStatus()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAdhesion()` Gets the value of the adhesion property.
    `java.lang.String` | `getEligibility()` Gets the value of the eligibility property.
    `java.lang.String` | `getResult()` Gets the value of the result property.
    `java.lang.String` | `getScreeningTypeCode()` Gets the value of the screeningTypeCode property.
    `void` | `setAdhesion(java.lang.String value)` Sets the value of the adhesion property.
    `void` | `setEligibility(java.lang.String value)` Sets the value of the eligibility property.
    `void` | `setResult(java.lang.String value)` Sets the value of the result property.
    `void` | `setScreeningTypeCode(java.lang.String value)` Sets the value of the screeningTypeCode property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### screeningTypeCode

          protected java.lang.String screeningTypeCode

    - #### eligibility

          protected java.lang.String eligibility

    - #### adhesion

          protected java.lang.String adhesion

    - #### result

          protected java.lang.String result

  - ### Constructor Detail

    - #### ScreeningStatus

          public ScreeningStatus()

  - ### Method Detail

    - #### getScreeningTypeCode

          public java.lang.String getScreeningTypeCode()

      Gets the value of the screeningTypeCode property.
      Returns:
        possible object is `String`

    - #### setScreeningTypeCode

          public void setScreeningTypeCode(java.lang.String value)

      Sets the value of the screeningTypeCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEligibility

          public java.lang.String getEligibility()

      Gets the value of the eligibility property.
      Returns:
        possible object is `String`

    - #### setEligibility

          public void setEligibility(java.lang.String value)

      Sets the value of the eligibility property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAdhesion

          public java.lang.String getAdhesion()

      Gets the value of the adhesion property.
      Returns:
        possible object is `String`

    - #### setAdhesion

          public void setAdhesion(java.lang.String value)

      Sets the value of the adhesion property.
      Parameters:
        `value` - allowed object is `String`

    - #### getResult

          public java.lang.String getResult()

      Gets the value of the result property.
      Returns:
        possible object is `String`

    - #### setResult

          public void setResult(java.lang.String value)

      Sets the value of the result property.
      Parameters:
        `value` - allowed object is `String`